mod agent;
pub mod jobs;
pub mod schema;

pub use crate::models::{agent::*, jobs::*};
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Clone, PartialEq)]
pub enum ExecResult {
    Assigned(AssignedJob),
    Agent(Agent),
    Dummy,
}
