#!/bin/bash
set -ex
source $(dirname $0)/rootdir.sh #set ROOTDIR
ARGS=$@
docker run \
    --env-file $ROOTDIR/.env \
    -v $ROOTDIR:/volume \
    -v cargo-cache:/root/.cargo/registry \
    -w /volume \
    -it \
    unki/musllibs \
    bash -c "umask 0000; cargo $ARGS"
